Subject: Re: [netatalk-admins] Talking to HP Deckjet printer

From: Michael Zuelsdorff <[email-masked]>
Date: Sun, 11 Jan 1998 05:24:55 +0100 (MET)

Hi,

inspired by this discussion, I tried to print with pap
to a Deskwriter, connected to a MAC via Localtalk which has the
"Apple LocalTalk Bridge" installed.
(A commercial product from Apple, about 90 DM in Germany).

The Deskwriter appears with "Deskwriter:Deswriter   x.y:z" on the
net and I can send requests with papstatus and print with pap.
No problem - when you know the trick :-)

At least with my model (an older one, no 850, no colour) I have to use
"pap -E ....". This switch isn't documented in the man page, I found
it in the source of pap.c. Without -E, I can print only one time, but the 
connection never closes, while papstatus tells me "status:busy".
With -E it works like a charme, even over a routed network with a
command like:
"pap -E -p Deskwriter:Deskwriter@my_zone_name file_with_HP-GL code.

I got the HP-GL code from Ghostscript 5.03 using the "djet500" driver,
but there are other ones, too (have a look with "gs -h").
So far, I tried no multicoloured monster jobs, but some man pages
and graphics which look really nice.

That's it! Well, it's late meanwhile and maybe someone else can
complete this and post a nifty printcap entry with a "whatever it was,
it will be converted to HP-GL" filter.

Next thing I will try is:

Win95 with Deskjet driver --> samba spool queue | pap --> Mac with Deskwriter.
I think this should work too and doesn't even need a converter !!

All above was tested on Linux 2.0.33, netatalk with asun's latest patches,
one MAC with 7.5.1 and another one with 7.6.1. The LocalTalk Bridge is 2.0.1
(don't know whether it works with MAC OS 8).

Best regards, und tschuess.
micha

  _~_  (?)
 (o o)°
-- V -^ -----------------------------------------------------------------------
   .  N  .                             (!)              Michael   Zuelsdorff
    \ i /           I don't like LINUX -  ° ^ ^         Gruene  Riede  5    
  °. \u/ .°              I love it         (o o)        31311  Dollbergen   
    °>X<°                                  / v \        +49 517-792-2113
--- " L " --------------------------------//8°8\\------ [email-masked] --